JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
GridItem::Margin Struct Reference
juce_gui_basics » layout

Represents a margin. More...

`#include <juce_GridItem.h>`

## Public Member Functions
| Margin () noexcept
| Margin (int size) noexcept
| Margin (float size) noexcept
| Margin (float top, float right, float bottom, float left) noexcept
| Creates a margin with these sizes.

## Public Attributes
float | left
float | right
float | top
float | bottom

## Detailed Description

Represents a margin.

## Constructor & Destructor Documentation

## ◆ Margin() [1/4]

GridItem::Margin::Margin | ( |  | ) |
| noexcept

## ◆ Margin() [2/4]

GridItem::Margin::Margin | ( | int | size | ) |
| noexcept

## ◆ Margin() [3/4]

GridItem::Margin::Margin | ( | float | size | ) |
| noexcept

## ◆ Margin() [4/4]

GridItem::Margin::Margin | ( | float | top,
|  | float | right,
|  | float | bottom,
|  | float | left )
| noexcept

Creates a margin with these sizes.

## Member Data Documentation

## ◆ left

float GridItem::Margin::left

## ◆ right

float GridItem::Margin::right

## ◆ top

float GridItem::Margin::top

## ◆ bottom

float GridItem::Margin::bottom

The documentation for this struct was generated from the following file:

- juce_GridItem.h